using System;
using System.Collections.Generic;

namespace OnlineAssessment.Domain.Models
{
    public partial class Languages
    {
        public Languages()
        {
            CategoryLanguages = new HashSet<CategoryLanguages>();
            ClassLanguages = new HashSet<ClassLanguages>();
            ExamLanguages = new HashSet<ExamLanguages>();
            ExamPracticeLanguages = new HashSet<ExamPracticeLanguages>();
            ExamPractices = new HashSet<ExamPractices>();
            LibraryContentsLanguages = new HashSet<LibraryContentsLanguages>();
            QuestionLanguges = new HashSet<QuestionLanguges>();
            QuestionOptionLanguages = new HashSet<QuestionOptionLanguages>();
            QuestionTypes = new HashSet<QuestionTypes>();
            States = new HashSet<States>();
            SubCategoryLanguages = new HashSet<SubCategoryLanguages>();
            SubjectLanguages = new HashSet<SubjectLanguages>();
            TagLanguages = new HashSet<TagLanguages>();
            Users = new HashSet<Users>();
        }

        public int Id { get; set; }
        public string Code { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public bool? IsActive { get; set; }

        public virtual ICollection<CategoryLanguages> CategoryLanguages { get; set; }
        public virtual ICollection<ClassLanguages> ClassLanguages { get; set; }
        public virtual ICollection<ExamLanguages> ExamLanguages { get; set; }
        public virtual ICollection<ExamPracticeLanguages> ExamPracticeLanguages { get; set; }
        public virtual ICollection<ExamPractices> ExamPractices { get; set; }
        public virtual ICollection<LibraryContentsLanguages> LibraryContentsLanguages { get; set; }
        public virtual ICollection<QuestionLanguges> QuestionLanguges { get; set; }
        public virtual ICollection<QuestionOptionLanguages> QuestionOptionLanguages { get; set; }
        public virtual ICollection<QuestionTypes> QuestionTypes { get; set; }
        public virtual ICollection<States> States { get; set; }
        public virtual ICollection<SubCategoryLanguages> SubCategoryLanguages { get; set; }
        public virtual ICollection<SubjectLanguages> SubjectLanguages { get; set; }
        public virtual ICollection<TagLanguages> TagLanguages { get; set; }
        public virtual ICollection<Users> Users { get; set; }
    }
}
